Bug 208969 - audio/portaudio: Invalid scripts installed to bin/
Summary: audio/portaudio: Invalid scripts installed to bin/
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-22 05:30 UTC by Stephen Hurd
Modified: 2016-05-12 18:23 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2016-04-22 05:30:57 UTC
All of the scripts installed into the bin directory are non-functional and only run from the build directory.  The comment block in them clearly states that "This wrapper script should never be moved out of the build directory. If it is, it will not operate correctly."

The file names are:
bin/pa_devs
bin/pa_fuzz
bin/paex_pink
bin/paex_read_write_wire
bin/paex_record
bin/paex_saw
bin/paex_sine
bin/paex_write_sine
bin/paex_write_sine_nonint
Comment 1 Dmitry Marakasov freebsd_committer 2016-05-10 15:47:06 UTC
Maintainer timeout
Comment 2 commit-hook freebsd_committer 2016-05-12 18:23:38 UTC
A commit references this bug:

Author: amdmi3
Date: Thu May 12 18:22:37 UTC 2016
New revision: 415079
URL: https://svnweb.freebsd.org/changeset/ports/415079

Log:
  - Don't install example scripts that don't work outside WRKDIR
  - While here, minor cosmetic fixes

  PR:		208969
  Submitted by:	shurd@FreeBSD.org
  Approved by:	maintainer timeout (koalative@gmail.com, 2 weeks)

Changes:
  head/audio/portaudio/Makefile
  head/audio/portaudio/pkg-plist